
Nirva Application Platform - Bug #63

No error thrown on OBJECT:CREATE command with FILE object

06/06/2012 03:10 PM - Lionel Martin

Status: Closed Start date: 06/06/2012

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 100%

Category: Application Platform Estimated time: 0.00 hour

Target version: 4.7.004   

Operating System: Any Tested: Yes

Version:    

Description

When giving an erroneous filename on OBJECT:CREATE command with TYPE='FILE' and PERSIST='-1', command does not throw

an error but does not create the file.

This issue have been reproduced on Linux 32bits, and does not have been tried on other OSes.

History

#1 - 06/06/2012 03:56 PM - Pierre Marc

- Status changed from New to In Progress

- Assignee set to Pierre Marc

- Operating System changed from Linux to Any

- Version deleted (4.7.003)

This was not really considered as a bug since the file object itself may exist even if the file it points doesn't physically exists. Now practically, this can

appear like a bug so we'll made the correction and if the file cannot be created, we'll return an error and the object will not be created.

#2 - 06/06/2012 03:59 PM - Pierre Marc

- Project changed from Nirva Software to Nirva Application Platform

#3 - 06/06/2012 04:01 PM - Pierre Marc

- Category set to Application Platform

- Target version set to 4.8.000

#4 - 07/19/2012 10:52 AM - Pierre Marc

- Status changed from In Progress to Resolved

- Target version changed from 4.8.000 to 4.7.004

- % Done changed from 0 to 100

- Tested changed from No to Yes

#5 - 07/26/2012 10:50 AM - Pierre Marc

- Status changed from Resolved to Closed
